Register call block number

Prev Next

Available in Classic and VPC

Register the number to opt out of receiving ad messages.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /sms/v2/services/{serviceId}/unsubscribes

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required SMS service ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
clientTelNo String Required Opt-out phone number
  • Up to 1000 can be entered.

Request example

The request example is as follows:

curl --location --request POST 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/unsubscribes' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '[
  {
    "clientTelNo": "010********"
  },
  {
    "clientTelNo": "010********"
  }
]'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
clientTelNo String Required Opt-out phone number
registerTime String Required Opt-out registration date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
registerType String Required Opt-out inflow path
  • C | M
    • C: ARS
    • M: Manual

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

[
    {
        "clientTelNo": "010********",
        "registerType": "M",
        "registerTime": "2025-11-26T10:11:59.271"
    },
    {
        "clientTelNo": "010********",
        "registerType": "M",
        "registerTime": "2025-11-18T10:51:36.957"
    }
]